<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: endUser.proto

namespace Tellie\Family;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Generated from protobuf message <code>tellie.family.EndUserDeactivatedRequest</code>
 */
class EndUserDeactivatedRequest extends \Google\Protobuf\Internal\Message
{
    /**
     * Generated from protobuf field <code>string user_id = 1;</code>
     */
    protected $user_id = '';
    /**
     * Generated from protobuf field <code>repeated string friend_ids = 2;</code>
     */
    private $friend_ids;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $user_id
     *     @type string[]|\Google\Protobuf\Internal\RepeatedField $friend_ids
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\EndUser::initOnce();
        parent::__construct($data);
    }

    /**
     * Generated from protobuf field <code>string user_id = 1;</code>
     * @return string
     */
    public function getUserId()
    {
        return $this->user_id;
    }

    /**
     * Generated from protobuf field <code>string user_id = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setUserId($var)
    {
        GPBUtil::checkString($var, True);
        $this->user_id = $var;

        return $this;
    }

    /**
     * Generated from protobuf field <code>repeated string friend_ids = 2;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getFriendIds()
    {
        return $this->friend_ids;
    }

    /**
     * Generated from protobuf field <code>repeated string friend_ids = 2;</code>
     * @param string[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setFriendIds($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::STRING);
        $this->friend_ids = $arr;

        return $this;
    }

}

